# PulpcoreClient::ExportersCoreExportsApi

All URIs are relative to *http://pulp*

Method | HTTP request | Description
------------- | ------------- | -------------
[**create**](ExportersCoreExportsApi.md#create) | **POST** {core_pulp_pulp_export_href}exports/ | Create a pulp export
[**delete**](ExportersCoreExportsApi.md#delete) | **DELETE** {core_pulp_pulp_export_href} | Delete a pulp export
[**list**](ExportersCoreExportsApi.md#list) | **GET** {pulp_exporter_href}exports/ | List pulp exports
[**read**](ExportersCoreExportsApi.md#read) | **GET** {core_pulp_pulp_export_href} | Inspect a pulp export



## create

> AsyncOperationResponse create(core_pulp_pulp_export_href, pulp_export)

Create a pulp export

Trigger an asynchronous task to export a set of repositories

### Example

```ruby
# load the gem
require 'pulpcore_client'
# setup authorization
PulpcoreClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpcoreClient::ExportersCoreExportsApi.new
core_pulp_pulp_export_href = 'core_pulp_pulp_export_href_example' # String | 
pulp_export = PulpcoreClient::PulpExport.new # PulpExport | 

begin
  #Create a pulp export
  result = api_instance.create(core_pulp_pulp_export_href, pulp_export)
  p result
rescue PulpcoreClient::ApiError => e
  puts "Exception when calling ExportersCoreExportsApi->create: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **core_pulp_pulp_export_href** | **String**|  | 
 **pulp_export** | [**PulpExport**](PulpExport.md)|  | 

### Return type

[**AsyncOperationResponse**](AsyncOperationResponse.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: application/json, application/x-www-form-urlencoded, multipart/form-data
- **Accept**: application/json


## delete

> delete(core_pulp_pulp_export_href)

Delete a pulp export

ViewSet for viewing exports from a PulpExporter.

### Example

```ruby
# load the gem
require 'pulpcore_client'
# setup authorization
PulpcoreClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpcoreClient::ExportersCoreExportsApi.new
core_pulp_pulp_export_href = 'core_pulp_pulp_export_href_example' # String | 

begin
  #Delete a pulp export
  api_instance.delete(core_pulp_pulp_export_href)
rescue PulpcoreClient::ApiError => e
  puts "Exception when calling ExportersCoreExportsApi->delete: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **core_pulp_pulp_export_href** | **String**|  | 

### Return type

nil (empty response body)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: Not defined


## list

> InlineResponse2003 list(pulp_exporter_href, opts)

List pulp exports

ViewSet for viewing exports from a PulpExporter.

### Example

```ruby
# load the gem
require 'pulpcore_client'
# setup authorization
PulpcoreClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpcoreClient::ExportersCoreExportsApi.new
pulp_exporter_href = 'pulp_exporter_href_example' # String | 
opts = {
  limit: 56, # Integer | Number of results to return per page.
  offset: 56, # Integer | The initial index from which to return the results.
  ordering: 'ordering_example', # String | Which field to use when ordering the results.
  fields: 'fields_example', # String | A list of fields to include in the response.
  exclude_fields: 'exclude_fields_example' # String | A list of fields to exclude from the response.
}

begin
  #List pulp exports
  result = api_instance.list(pulp_exporter_href, opts)
  p result
rescue PulpcoreClient::ApiError => e
  puts "Exception when calling ExportersCoreExportsApi->list: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **pulp_exporter_href** | **String**|  | 
 **limit** | **Integer**| Number of results to return per page. | [optional] 
 **offset** | **Integer**| The initial index from which to return the results. | [optional] 
 **ordering** | **String**| Which field to use when ordering the results. | [optional] 
 **fields** | **String**| A list of fields to include in the response. | [optional] 
 **exclude_fields** | **String**| A list of fields to exclude from the response. | [optional] 

### Return type

[**InlineResponse2003**](InlineResponse2003.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: application/json


## read

> PulpExportResponse read(core_pulp_pulp_export_href, opts)

Inspect a pulp export

ViewSet for viewing exports from a PulpExporter.

### Example

```ruby
# load the gem
require 'pulpcore_client'
# setup authorization
PulpcoreClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpcoreClient::ExportersCoreExportsApi.new
core_pulp_pulp_export_href = 'core_pulp_pulp_export_href_example' # String | 
opts = {
  fields: 'fields_example', # String | A list of fields to include in the response.
  exclude_fields: 'exclude_fields_example' # String | A list of fields to exclude from the response.
}

begin
  #Inspect a pulp export
  result = api_instance.read(core_pulp_pulp_export_href, opts)
  p result
rescue PulpcoreClient::ApiError => e
  puts "Exception when calling ExportersCoreExportsApi->read: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **core_pulp_pulp_export_href** | **String**|  | 
 **fields** | **String**| A list of fields to include in the response. | [optional] 
 **exclude_fields** | **String**| A list of fields to exclude from the response. | [optional] 

### Return type

[**PulpExportResponse**](PulpExportResponse.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: application/json

