# PulpcoreClient::GroupsModelPermissionsApi

All URIs are relative to *http://pulp*

Method | HTTP request | Description
------------- | ------------- | -------------
[**create**](GroupsModelPermissionsApi.md#create) | **POST** {auth_auth_groups_permission_href}model_permissions/ | Create a permission
[**list**](GroupsModelPermissionsApi.md#list) | **GET** {auth_group_href}model_permissions/ | List permissions



## create

> PermissionResponse create(auth_auth_groups_permission_href, body)

Create a permission

Add a model permission to a group.

### Example

```ruby
# load the gem
require 'pulpcore_client'
# setup authorization
PulpcoreClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpcoreClient::GroupsModelPermissionsApi.new
auth_auth_groups_permission_href = 'auth_auth_groups_permission_href_example' # String | 
body = nil # Object | 

begin
  #Create a permission
  result = api_instance.create(auth_auth_groups_permission_href, body)
  p result
rescue PulpcoreClient::ApiError => e
  puts "Exception when calling GroupsModelPermissionsApi->create: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **auth_auth_groups_permission_href** | **String**|  | 
 **body** | **Object**|  | 

### Return type

[**PermissionResponse**](PermissionResponse.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: application/json, application/x-www-form-urlencoded, multipart/form-data
- **Accept**: application/json


## list

> InlineResponse2005 list(auth_group_href, opts)

List permissions

List group permissions.

### Example

```ruby
# load the gem
require 'pulpcore_client'
# setup authorization
PulpcoreClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpcoreClient::GroupsModelPermissionsApi.new
auth_group_href = 'auth_group_href_example' # String | 
opts = {
  limit: 56, # Integer | Number of results to return per page.
  offset: 56, # Integer | The initial index from which to return the results.
  ordering: 'ordering_example', # String | Which field to use when ordering the results.
  fields: 'fields_example', # String | A list of fields to include in the response.
  exclude_fields: 'exclude_fields_example' # String | A list of fields to exclude from the response.
}

begin
  #List permissions
  result = api_instance.list(auth_group_href, opts)
  p result
rescue PulpcoreClient::ApiError => e
  puts "Exception when calling GroupsModelPermissionsApi->list: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **auth_group_href** | **String**|  | 
 **limit** | **Integer**| Number of results to return per page. | [optional] 
 **offset** | **Integer**| The initial index from which to return the results. | [optional] 
 **ordering** | **String**| Which field to use when ordering the results. | [optional] 
 **fields** | **String**| A list of fields to include in the response. | [optional] 
 **exclude_fields** | **String**| A list of fields to exclude from the response. | [optional] 

### Return type

[**InlineResponse2005**](InlineResponse2005.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: application/json

